package com.xhpc.activity.mapper;

import com.xhpc.common.domain.XhpcChargingStation;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * 电站Mapper接口
 *
 * @author yuyang
 * @date 2021-07-19
 */
public interface XhpcChargingStationMapper {

    /**
     * 查询电站列表
     *
     * @return 电站集合
     */
    List<Map<String, Object>> selectXhpcChargingStationList(@Param("params")Map params);


    List<Map<String, Object>> selectRateListByStationId(@Param("stationId")Long stationId);


    List<Map<String, Object>> selectRateTimeListByRateId(@Param("rateId")Integer rateId);

    List<Map<String, Object>> selectBaseRateTimeListByRateId(@Param("rateId")Integer rateId);

    List<XhpcChargingStation> selectAll();
}
